List campaigns

List campaigns with filtering, sorting, and cursor-based pagination.

Scopes: campaigns.read

Pagination: This endpoint uses cursor-based pagination.

  • Use the paging.cursors.after value from the response to get the next page
  • Use the paging.cursors.before value to get the previous page
  • The paging.hasMore field indicates if more results are available
  • Maximum page size is 250 items. Default: 100
Query Params
integer
1 to 250

Number of items per page. Range: 1-250. Default: 100

string

Opaque cursor for the next page

string

Opaque cursor for the previous page

string
enum

Sort field. Default: createdAt

Allowed:
string
enum

Sort direction. Default: desc

Allowed:
status
array of strings

Filter by status (repeatable for OR logic)

status
string
length ≤ 200

Filter by name (partial match, max 200 characters)

channel
array of strings

Filter by message channel (repeatable for OR logic)

channel
string
enum

Filter by campaign type. Use booster to list only boosters, abTest to list only A/B test parents.

Allowed:
string

Filter to boosters of the given parent campaign ID. Implies type=booster.

date-time

Filter campaigns created after this timestamp (ISO 8601, e.g. 2026-01-01T00:00:00Z)

date-time

Filter campaigns created before this timestamp (ISO 8601, e.g. 2026-01-01T00:00:00Z)

date-time

Filter campaigns updated after this timestamp (ISO 8601, e.g. 2026-01-01T00:00:00Z)

date-time

Filter campaigns updated before this timestamp (ISO 8601, e.g. 2026-01-01T00:00:00Z)

Headers
string
required
Defaults to 2026-03-15

API version that specifies the response format and behaviour

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json